Bug 398580

Summary: Critically important notifications should be shown in fullscreen
Product: plasmashell Reporter: stoyan.minaev
Component: NotificationsAssignee: Kai Uwe Broulik <kde>
Status: RESOLVED FIXED    
Severity: normal CC: bugseforuns, nate, notuxius, ostroffjh, plasma-bugs, postix
Priority: NOR    
Version: 5.13.5   
Target Milestone: 1.0   
Platform: Archlinux Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description stoyan.minaev 2018-09-13 15:01:44 UTC
Sometimes i play game or watch YouTube video in fullscreen mode on my laptop which is not connected to AC power, and i can`t see "low battery" notifications. Laptop just turn off. If this isn`t bug, but a feature  then for some use cases it`s very bad feature. Please change the notification system behaivor in next releases of Plasma. Thank you!
Comment 1 Jack 2018-09-13 16:34:40 UTC
Why did you set kmymoney as the product?  It seem more likely to be whatever Window Manager you are using, and I personally would have asked on the Arch Linux mailing list or forum first.
Comment 2 Alexander Mentyu 2018-10-05 10:58:00 UTC
Maybe there is can be a checkbox in settings to show or not all/critical notifications over fullscreen apps - wish?
Comment 3 Kai Uwe Broulik 2019-05-09 09:47:08 UTC
Git commit 3c52fc3bc05e0f351d4998ad54edae1a4e21a043 by Kai Uwe Broulik.
Committed on 09/05/2019 at 09:29.
Pushed by broulik into branch 'master'.

Merge branch 'broulik/libnotificationmanager'

This includes:
libnotificationmanager https://phabricator.kde.org/D20265
New notification plasmoid: https://phabricator.kde.org/D20266
as well as dataengine compat: https://phabricator.kde.org/D20490 and https://phabricator.kde.org/D20491
Related: bug 222470, bug 402144, bug 405570, bug 391646, bug 401819, bug 400811, bug 392669, bug 390143, bug 390864, bug 374099, bug 360990, bug 346458, bug 398926, bug 390152, bug 342355, bug 402391, bug 399697, bug 400871
FIXED-IN: 5.16.0


https://commits.kde.org/plasma-workspace/3c52fc3bc05e0f351d4998ad54edae1a4e21a043